org.apache.hadoop.yarn.api.protocolrecords

## Class ReservationDeleteRequest

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.ReservationDeleteRequest

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class ReservationDeleteRequest
      extends Object

  `ReservationDeleteRequest` captures the set of requirements the user has to delete an existing reservation.
  See Also:
    `ReservationDefinition`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReservationDeleteRequest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ReservationId` | `getReservationId()` Get the `ReservationId`, that corresponds to a valid resource allocation in the scheduler (between start and end time of this reservation)
    `static ReservationDeleteRequest` | `newInstance(ReservationId reservationId)`
    `abstract void` | `setReservationId(ReservationId reservationId)` Set the `ReservationId`, that correspond to a valid resource allocation in the scheduler (between start and end time of this reservation)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReservationDeleteRequest

          public ReservationDeleteRequest()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public static ReservationDeleteRequest newInstance(ReservationId reservationId)

    - #### getReservationId

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract ReservationId getReservationId()

      Get the `ReservationId`, that corresponds to a valid resource allocation in the scheduler (between start and end time of this reservation)
      Returns:
        the `ReservationId` representing the unique id of the corresponding reserved resource allocation in the scheduler

    - #### setReservationId

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setReservationId(ReservationId reservationId)

      Set the `ReservationId`, that correspond to a valid resource allocation in the scheduler (between start and end time of this reservation)
      Parameters:
        `reservationId` - the `ReservationId` representing the the unique id of the corresponding reserved resource allocation in the scheduler

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.